/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package open.dolphin.client.karte.template;

import java.io.File;
import open.dolphin.client.karte.template.error.CantWriteTemplateException;
import open.dolphin.infomodel.DocumentModel;

/**
 *
 * @author tomohiro
 */
public interface TemplateWritable {

    void beginSession(File path);

    void writeBody(DocumentModel document) throws CantWriteTemplateException;

    void writeHeader(TemplateHeader info) throws CantWriteTemplateException;

    void endSession() throws CantWriteTemplateException;
}
